Bug 432118 - ksysguard applet cannot be configured from a blank display
ksysguard applet cannot be configured from a blank display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 17:19 EST by Ken Barber
Modified: 2009-01-09 00:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Barber 2008-02-08 17:19:03 EST
Description of problem: There are two context menus for configuring the
ksysguard applet:  one is launched from the area immediately to the left of the
applet; the other is launched from one of the displays (by default, there are
two displays:  one for CPU and one for memory)

The first context menu controls how many displays there are.  The second
controls what appears in that display.

When a display has been "removed" via its context menu, that display's context
menu no longer appears, making it impossible to configure it ever again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Add ksysguard to the panel using "Add applet to panel" context menu.
2.  Get a context menu in one of the displays and choose "remove display".  This
will result in that display becoming blank.

3.  Right-click in that blank display and observe the wrong context menu
appearing.  There is no longer any way to configure that display.
  
Actual results:
Context menu for the Panel

Expected results:
Context menu for the pertinent ksysguard display

Additional info:
I was able to work around this problem by removing the applet from the panel,
deleting ~/.kde/share/apps/ksysguard/KSysGuardApplet.xml and then re-adding the
ksysguard applet into the Panel.
Comment 1 Ken Barber 2008-02-08 17:30:45 EST
Correction -- the third paragraph should read:

When a display has been "removed" via its context menu, it doesn't actually go
away -- that is done using the OTHER context menu (the one at the left edge of
the applet) and changing the number in the "Number of displays" field.  Instead,
"removing" a display only blanks it out -- AND that display's context menu. 
Without a context menu, there is no longer any way to configure that display.
Comment 2 Bug Zapper 2008-11-26 04:44:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:57:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.